.\"	$NetBSD: dk.4,v 1.3 2006/08/14 18:58:34 thorpej Exp $
.\"
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" Jonathan A. Kollasch used vnd(4) as the template for this man page.
.\"
.Dd August 13, 2006
.Dt DK 4
.Os
.Sh NAME
.Nm dk
.Nd Disk partition
.Pq wedge
driver
.Sh SYNOPSIS
.Cd "options DKWEDGE_AUTODISCOVER"
.Cd "options DKWEDGE_METHOD_BSDLABEL"
.Cd "options DKWEDGE_METHOD_GPT"
.Cd "options DKWEDGE_METHOD_MBR"
.Sh DESCRIPTION
The
.Nm
driver provides a disk-like interface to an area of a physical disk.
Wedges may be configured manually with
.Xr dkctl 8
or automatically by the kernel upon the attachment of the physical disk.
.Sh KERNEL OPTIONS
.Bl -tag -width DKWEDGE_METHOD_BSDLABEL
.It Dv DKWEDGE_AUTODISCOVER
Automatically detect and configure wedges using any available methods.
.It Dv DKWEDGE_METHOD_BSDLABEL
BSD disklabel detection method.
.It Dv DKWEDGE_METHOD_GPT
Extensible Firmware Interface Globally Unique Identifier Partition Table
(GPT) detection method.
.It Dv DKWEDGE_METHOD_MBR
IBM PC-compatible Master Boot Record (MBR) partitioning detection method,
with support for Extended MBRs.
.El
.Sh FILES
.Bl -tag -width /dev/XXrXdkX -compact
.It Pa /dev/{,r}dk*
.Nm
device special files.
.El
.Sh SEE ALSO
.Xr config 1 ,
.Xr MAKEDEV 8 ,
.Xr disklabel 8 ,
.Xr dkctl 8 ,
.Xr fdisk 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 3.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Jason R. Thorpe .
